Summary: Socks Server 5 
Name: ss5
Version: 3.5.9
Release: 4 
License: GPL 
Group: Applications/Internet
URL: http://sourceforge.net/projects/ss5
Source: http://prdownloads.sourceforge.net/ss5/ss5-3.5.9-1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openldap-devel pam-devel

%description
ss5 is a socks server, which supports both SOCKS4 and SOCKS5 protocols,
that runs on Linux/Solaris platforms. 

%prep
%setup

%build

./configure --with-libpath=%{_libdir} 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT 

chmod -R +r $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add ss5

%preun
if [ $1 = 0 ]; then
        /sbin/service ss5 stop > /dev/null 2>&1
        /sbin/chkconfig --del ss5
fi

%files
%defattr(755,root,root)
%{_sbindir}/ss5
%{_initrddir}/ss5
%{_libdir}/ss5/

%defattr(644,root,root)
%{_docdir}/ss5/License
%{_docdir}/ss5/README.pam
%{_docdir}/ss5/examples/ss5.pam
%{_docdir}/ss5/README.ldap
%{_docdir}/ss5/examples/slapd.conf
%{_docdir}/ss5/examples/entries.ldif

%{_mandir}/man1/ss5.1.gz
%{_mandir}/man5/ss5.passwd.5.gz
%{_mandir}/man5/ss5.peers.5.gz
%{_mandir}/man5/ss5.conf.5.gz
%{_mandir}/man5/ss5.pam.5.gz

%defattr(755,root,root)
%{_localstatedir}/log/ss5

%defattr(0640,root,root)
%config(noreplace) %{_sysconfdir}/opt/ss5/ss5.conf
%config(noreplace) %{_sysconfdir}/opt/ss5/ss5.passwd
%config(noreplace) %{_sysconfdir}/pam.d/ss5

%changelog
*Mon Oct  09 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.9-4 released
        * Fix security bug into spec file

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.5.9-3
        - rebuilt for unwind info generation, broken in gcc-4.1.1-21

*Tue Sep  26 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.9-2 released
        * Rebuild for FC-6

*Mon May  08 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.9-1 released
        * Fix replication feature
        * Fix DNS buffer as RFC

*Fri May  05 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.5.8-2 released
        * Fix startup script

*Wed Apr  26 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.8-1 released
        * Fix EAP (thx to Jakob Perz)

*Mon Apr  24 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.5.7-1 released
	* Fix replica feature
        * Fix configure file
        * Fix man file for ss5.peers

*Mon Apr  10 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.5.6-1 released
        * Fix startup script 

*Thu Apr  06 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.5-1 released
        * Add mutex to PAM (some modules are not thread-safe)

*Tue Apr  04 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.4-2 released
        * Fix package for Fedora naming guidelines

*Wed Mar  22 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.4-1 released
        * Fix external authentication program 

*Sun Mar  19 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.5.3-2 released
        * Fix package for Fedora naming guidelines

*Thu Mar  09 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.5.3-1 released
        * Add security feature to centralized management

*Thu Mar  09 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.2-1 released
        * Fix centralized management

*Thu Mar  09 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.1-2 released
        * Strip debug from package

*Thu Mar  09 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.5.1-1 released
        * Add centralized management of the configuration file

*Tue Feb  28 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.4.4-1 released
        * Fix PAM

*Mon Feb  27 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.4.3-2 released
        * Fix package for RH naming guidelines

*Mon Feb  27 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.4.3-1 released
        * Fix package for RH naming guidlines

*Sat Feb  22 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.4r2 released
        * Fix mod_authorization

*Sat Feb  11 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.4r1 released
        * Add environment configuration variables
        * Fix Solaris 10 compatibility with ctime_r() call
        * Fix potential buffer overflow using PAM
        * Code restyling (thx to Walter Franzini)
        * New configure file (thx to Walter Franzini)

*Tue Feb  07 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.3r5 released
        * Fix Solaris 10 compatibility with ctime_r() call
        * Fix netbios default domain

*Mon Feb  06 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.3r4 released
        * Add default netbios domain
	* Fix externalprogram

*Sat Feb  04 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.3r3 released
        * Fix PwdFileCheck
        * Fix ProfileFileCheck

*Wed Jan  25 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.3r2 released
        * Add gid setting with -u option
        * Add configure file

*Mon Jan  20 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.3r1 released
	* Add multiple directory store support
        * Add netbios compatibility in authorization module
        * Add noproxy rule in mod_socks5

*Fri Jan  02 2006 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.2r7 released
        * Add Solaris support

*Thu Dec  22 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.2r6 released
        * Fix module dump
        * Fix module authentication (pam)

*Mon Dec  16 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.2r5 released
        * Fix makefile for gcc old version

*Mon Dec  04 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.2r4 released
        * Fix upstream
        * Fix post authorization
        * Fix proxy hash
        * Fix route hash

*Mon Nov  28 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.2r3 released
        * Fix mod bandwidth
        * Fix mod statistics
        * Fix man
        * Fix route
        * Add auto-refresh web console

*Wed Nov  23 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.2r2 released
        * Fix mod statistics
        * Fix mod balance

*Sun Nov  06 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.2r1 released
        * Add authorization cache
        * New load configuration mechanism
        * New log format
        * Add statistic features
        * Add epoll support

*Mon Nov  01 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.1r1 released
        * Add new dump module

*Mon Oct  27 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r10 released
        * Add log details
        * Fix log string
        * Fix recv call

*Mon Aug  22 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v3.0r9 released
        * Fix SS5_AUTHCACHEAGE option

*Thu Aug  18 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r8 released
        * Fix SS5_VERBOSE option

*Mon Aug  08 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r7 released
        * Add log detail

*Sun Aug  07 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r6 released
        * Increase authorization buffer

*Thu May  10 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r5 released
	* Fix connect response using dns
        * Increase authentication buffer
	* Fix profiling bug
        * Modify package structure

*Thu Apr  10 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r4 released
        * Added comment into group file
	
*Thu Mar  10 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r3 released
        * Pam module fix

*Thu Mar  09 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r2 released
        * Pam module fix

*Thu Mar  01 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v3.0r1 released

*Thu Feb  07 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r10 released
        * SIGPIPE signal fix

*Thu Jan  12 2005 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r9 released
        * Change facility log
        * Case insensitive in file profiling
        * Buffer overflow fix

*Thu Jul  03 2004 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r8 released
        * Fix bug closing logfile

*Thu Jan  28 2004 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r7 released
        * Fix socks5 method

*Thu Jan  09 2004 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r6 released
        * Fix acl bug
        * Fix bad file descriptor in threaded mode
        * Log format restyling
        * Add -m option, to disable log
        * Add -c option, to check configuration file

*Thu Dec  30 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r5 released
        * Fix Solaris documentation
	* Fix admin access check
        * Add statistics information

*Thu Dec  24 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r4 released
        * Fix udp bind interface close to client

*Thu Dec  15 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r3 released
        * Fix signal set on Solaris system

*Thu Nov  15 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.4r2 released
        * Fix some potential buffer overflow 
	* Fix udp bind problem

*Thu Oct  29 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
	* SS5-v2.4r1 released
        * Add session affinity in balanced connections
        * Add socks statistics about connections
        * Add fake authentication
        * Add web support for virtual connections, session affinity and statistics
        * Add more detail on log messages
        * Fix source-if feature for connect operation
        * Fix access list bugs

*Thu Oct  21 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.3r5 released
        * Fix access list bug

*Thu Oct  20 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.3r4 released
        * Fix access list bug

*Thu Oct  11 2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.3r3 released
        * Fix crash for connections reset by peer

*Thu Sep  12  2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.3r2 released
        * Fix acl problem

*Thu Aug  26  2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * SS5-v2.3r1 released
        * Add source-if feature for connect operation
        * Add better control in ldap base configuration
	* Add better detail on log messages
	* Threads creation improvement
        * Fix automatic configuration reload (every 30 seconds)

*Thu Aug  14  2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * ss5-v2.2r1 released
        * Add ldap profile feature
        * Add PAM authentication
        * Add username for ss5 execution
	* Add server balancing feature !!!
        * Add ssl fixup
        * Add pop3 fixup
        * Add imap fixup
        * Fix case insensitive username check
        * Fix -b option

*Mon Jul  27  2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * ss5-v2.1r1 released
        * Add group profile feature
        * Add bandwidth control
        * Fix some potential buffer overflow 
        * Fix dns ordering problem

*Mon Jun  24  2003 Matteo Ricchetti <matteo.ricchetti@libero.it>
        * ss5-v2.0r1 released
        * Add thread support
        * Add bind port to -b option (-b ip:port)
        * Remove -f option for foreground execution
        * Fix access control list problem
        * Fix some potential buffer overflow 

